Description
the getRecord() method on a foundset seems to be Java style zero based. In one of my reports | do

$record.record_to_other_table.getRecord(1)
on a 1:1 relation and do not get a record. | get the one with
$record.record_to_other_table.getRecord(0)

From a Servoy perspective, this is confusing.

History

#1 - 04/07/2011 02:55 PM - Patrick Talbot

- Tracker changed from Defect to Feature

Hum. | get your point but I'm wondering if | can implement this now...
It will break existing reports who where relying on this method to be 0 based.

| should probably make a little poll out of this feature request to check what people are using, and make it very clear that a new version with this
change would not be compatible.

| must say that | never had to use this.

| tend to put as much of the logic in the preparation of the objects in the context and only iterate in the template and perform small tests on values to
tweak the display, avoiding as much as possible to put too much logic in it.

#2 - 04/07/2011 03:15 PM - Jeroen de Vries

| don't see how this is going to make our lives any easier. Zero/one based issues are everywhere, this is just another one.

#3 - 04/07/2011 03:16 PM - Patrick Ruhsert

Leave it as it is. | have already started with 0 based stuff also...

#4 - 04/07/2011 04:59 PM - Juan Antonio Santana Medina

Go ahead !!

+1

#5 - 04/07/2011 09:26 PM - Sem Tukenmez

We don't use this (for now), so it doesn't matter for me. But | have to agree with Jeroen.

#6 - 04/08/2011 08:25 AM - Victor Rojo Carballo

| don’t use it in any report, so I'm safe if you change it.

#7 - 04/11/2011 02:48 PM - Patrick Talbot

- Status changed from New to Closed

With v1.4.11 | have added a new defaultReportParameter: oneBasedLoop, if set to true, foundset.getRecord() and dataset.getRow() will be 1-based,
set to false (the default) they will be 0-based (as it is now).
So the current behavior didn't change, but you will have a choice to set it to match Servoy's 1-based loops if you want to.

Simply add:

plugins.VelocityReport.addDefaultReportParameter ( 'oneBasedLoop', true );

or

plugins.VelocityReport.setDefaultReportParameters( { 'oneBasedLoop': true, ... } );
somewhere in your scripts before using the plugin and you're all set!

| have updated the wiki with this information.
